Bug 1672210 - CVE-2019-6977 gd: heap based buffer overflow in gd_color_match.c:gdImageColorMatch() in libgd as used in imagecolormatch() [fedora-all]
Summary: CVE-2019-6977 gd: heap based buffer overflow in gd_color_match.c:gdImageColor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gd
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-6977
TreeView+ depends on / blocked
 
Reported: 2019-02-04 09:40 UTC by msiddiqu
Modified: 2019-11-18 22:47 UTC (History)
6 users (show)

Fixed In Version: gd-2.2.5-9.fc30 gd-2.2.5-8.fc29 gd-2.2.5-10.fc31
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 22:39:13 UTC


Attachments (Terms of Use)

Description msiddiqu 2019-02-04 09:40:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2019-02-04 09:40:49 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1672207,1672210

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Ondrej Dubaj 2019-06-04 09:13:47 UTC
Fixed in PR:

https://src.fedoraproject.org/rpms/gd/pull-request/1

Not fixed in upstream yet, waiting for response. PR created only for f31, but should be merged also in f29 and f30.

Comment 3 Ondrej Dubaj 2019-06-04 11:49:52 UTC
new link to PR:

https://src.fedoraproject.org/rpms/gd/pull-request/2

Comment 4 Ben Cotton 2019-10-31 19:11:39 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ondrej Dubaj 2019-11-01 10:01:30 UTC
Issue fixed in fedora-all

Comment 6 Fedora Update System 2019-11-01 10:09:49 UTC
FEDORA-2019-d7f8995451 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d7f8995451

Comment 7 Fedora Update System 2019-11-01 10:09:55 UTC
FEDORA-2019-ab7d22a466 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab7d22a466

Comment 8 Fedora Update System 2019-11-02 02:26:32 UTC
gd-2.2.5-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab7d22a466

Comment 9 Fedora Update System 2019-11-02 04:13:27 UTC
gd-2.2.5-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d7f8995451

Comment 10 Fedora Update System 2019-11-03 06:01:21 UTC
gd-2.2.5-10.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a06c0e6b4

Comment 11 Fedora Update System 2019-11-09 22:39:13 UTC
gd-2.2.5-9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-11-10 01:06:58 UTC
gd-2.2.5-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-11-18 01:36:43 UTC
gd-2.2.5-10.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-18 22:47:13 UTC
gd-2.2.5-10.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.